Subject: Re: MADE IN USA -- does anybody care?

From: Paul Worth <[email-masked]>
Date: Mon, 10 Feb 1997 16:08:41 -0500

Eric Phillips wrote:
> 
> [email-masked] wrote:
> > In article <[email-masked]> you write:
> > >Isn't Formosa just a little bit south of Taiwan?
> > No, Formosa was a name called by Portuguese centuries ago and it's
> > now a nickname of Taiwan.
> 
> I thought formosa was the name of a tree we have down here in the
> south?  Or is formosa sheet material used for laminating countertops?
> 
Well, at least this thread is getting a little bit of wood in it :-)

Mimosa is the name of a tree we have "down here in the south".  It
grows very quickly, has beautiful feather-like flowers (in mid-May)
and is practically useless to woodworkers (or fireplace owners)
because the wood is sooooo wet.  Pretty, though.

Ob.woodworking:  I put the first coat of finish on a cherry nightstand
yesterday.  It's the one from Thos. Moser's book on Shaker furniture.
I'm using Formby's "Tung Oil Finish".  It's very thin but builds
surprisingly fast.  I love working with cherry!

--Paul Worth--
[email-masked]

P.S.  Formosa is another name for Taiwan